export var _isNotEmpty = function (value) {
    if (value == null || value === false)
        return false;
    if (typeof value === 'string')
        return value.trim().length > 0;
    if (Array.isArray(value))
        return value.length > 0;
    if (value instanceof Date)
        return true;
    if (value instanceof Set || value instanceof Map)
        return value.size > 0;
    if (typeof value === 'object')
        return Object.keys(value).length > 0;
    return true;
};
