export declare const _isValidEmail: (email: string) => boolean;
export declare const _isValidPhoneNumber: (phoneNumber: string) => boolean;
export declare const _isValidURL: (url: string) => boolean;
export declare const _isValidDate: (date: string) => boolean;
export declare const _isValidTime: (time: string) => boolean;
export declare const _isValidDateTime: (dateTime: string) => boolean;
export declare const _isValidDateRange: (startDate: string, endDate: string) => boolean;
export declare const _isValidPassword: (password: string) => boolean;
export declare const _isValidUsername: (username: string) => boolean;
export declare const _isValidCreditCard: (creditCard: string) => boolean;
export declare const _isValidHexColor: (color: string) => boolean;
export declare const _isValidIP: (ip: string) => boolean;
export declare const _isValidMacAddress: (mac: string) => boolean;
export declare const _isValidUUID: (uuid: string) => boolean;
export declare const _isValidBase64: (str: string) => boolean;
export declare const _isValidJSON: (str: string) => boolean;
export declare const _isValidFunction: (fn: any) => boolean;
export declare const _isValidString: (str: any) => boolean;
export declare const _isValidNumber: (num: any) => boolean;
export declare const _isValidBoolean: (bool: any) => boolean;
export declare const _isValidDateObject: (date: any) => boolean;
export declare const _isValidBlob: (blob: any) => boolean;
export declare const _isValidFile: (file: any) => boolean;
export declare const _isValidRegExp: (regex: any) => boolean;
export declare const _isValidPromise: (promise: any) => boolean;
export declare const _isValidDateString: (dateString: string) => boolean;
export declare const _isValidHTMLElement: (element: any) => boolean;
export declare const _isValidEvent: (event: any) => boolean;
export declare const _isValidNode: (node: any) => boolean;
export declare const _isValidNodeList: (nodeList: any) => boolean;
export declare const _isValidHTMLCollection: (htmlCollection: any) => boolean;
export declare const _isValidFormData: (formData: any) => boolean;
export declare const _isValidURLSearchParams: (params: any) => boolean;
export declare const _allowDecimalKeys: (event: any) => void;
export declare const _allowAlphaKeys: (event: any) => void;
export declare const _handlePasteDecimalKeys: (a: any) => void;
export declare const _handlePasteAlphabetKeys: (event: any) => void;
export declare const _allowAlphaNumericKeys: (event: KeyboardEvent) => void;
export declare const _domSelector: (selector: any, all?: boolean) => Element | never[] | NodeListOf<Element> | null;
export declare const _hideElement: (selector: string) => void;
export declare const _showElement: (selector: string, displayType?: string) => void;
export declare const _removeElement: (selector: any) => void;
export declare const _removeNode: (selector: string) => void;
export declare const _removeSafeElement: (selector: string) => void;
export declare const _clearNode: (baseSelector: string, targets: {
    type: "previous" | "next" | "nextElement";
    steps: number;
}[]) => void;
export declare const _isElementPresent: (selector: any) => boolean;
export declare const _getParent: (selector: any) => any;
export declare const _getChildElements: (selector: any) => unknown[];
export declare const _replaceContent: (selector: any, newContent: any) => void;
export declare const _cloneElement: (selector: any) => any;
export declare const _scrollToElement: (selector: any, behavior?: string) => void;
export declare const _isElementInViewport: (selector: any) => boolean;
export declare const _setElementDisabled: (selector: any, isDisabled: any) => void;
export declare const _addEventListenerToElement: (selector: any, event: any, callback: any) => void;
export declare const _removeEventListenerFromElement: (selector: any, event: any, callback: any) => void;
export declare const _getElementAttribute: (selector: any, attribute: any) => any;
export declare const _setElementAttribute: (selector: any, attribute: any, value: any) => void;
export declare const _removeElementAttribute: (selector: any, attribute: any) => void;
export declare const _removeAllChildren: (selector: any) => void;
export declare const _getElementsByClass: (className: any) => Element[];
export declare const _getElementsByTag: (tagName: any) => any[];
export declare const _setMultipleStyles: (selector: any, styles: any) => void;
export declare const _insertHTML: (selector: any, position: any, html: any) => void;
export declare const _isDocumentLoaded: () => boolean;
export declare const _runOnIframeLoad: (iframeSelector: any, callback: any) => void;
export declare const _reloadAfterLoad: (delay?: number) => void;
export declare const _sanitizeArray: (arr: any) => any;
export declare const _throwError: (message: string, context?: any) => never;
export declare const _log: (title: string, message: any, type?: "log" | "info" | "warn" | "error") => void;
export declare const _filterByMatchedKey: (list1: any, list2: any, key: string) => any[];
export declare const _filterByMatchingKey: (list1: any, list2: any, key: string) => any[];
export declare const _filterArrayByKeyValue: (array: any, key: string, value?: any) => any[];
export declare const _snipDecimals: (num: any, digits: number) => any;
export declare function _copyText(text: string): Promise<boolean>;
export declare function _pasteText(): Promise<string | null>;
